Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004529 [JEDI VCL] 00 JVCL Components minor always 2008-10-13 03:17 2008-10-18 03:45
Reporter whf View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004529: TJvInterpreter have a Bug when use Set property
Description Hi
  I use this Code in TJvInterpreter to Change Font.Style property,but Find a
Bug:
Font.Style := Font.Style + [fsBold];

function TJvInterpreterExpression.SetExpression1: Variant;
var
  V1: Variant;
begin
  Result := 0;
  while True do
  begin
    case TTyp of
      ttIdentifier, ttInteger:
        begin
          if TTyp = ttInteger then
            Result := Result or Integer(Token)
          else
          begin
            FCurrArgs.Clear;
            InternalGetValue(nil, 0, V1);
            if VarType(V1) <> varInteger then // if not (VarType(V1) in
[varSmallint,varInteger,varShortInt,varWord]) then
              JvInterpreterError(ieIntegerRequired, PosBeg);
            Result := Result or 1 shl Integer(V1);
          end;
          NextToken; { skip ',' }
          if TTyp = ttCol then
            NextToken
          else
          if TTyp = ttRS then
            Break
          else
            ErrorExpected(''']''');
        end;
      ttRS:
        Break;
    else
      Break;
    end;
  end;
  TVarData(Result).VType := varSet;
end;

Additional Information
Tags No tags attached.
Attached Files rar file icon testintr.rar [^] (11,939 bytes) 2008-10-15 02:51

- Relationships

-  Notes
(0014844)
obones (administrator)
2008-10-13 04:56

Please provide the zipped sources of a sample application showing this, along with a detailed explanation of what you think is wrong here.
(0014854)
whf (reporter)
2008-10-13 21:45

This a Demo
I Have Find the Bug Code and Try Modify
(0014861)
obones (administrator)
2008-10-15 02:20

what?
I don't see any file and don't undersatnd your message.
(0014862)
whf (reporter)
2008-10-15 02:51

sorry,this is demo
(0014880)
AHUser (developer)
2008-10-18 03:45

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-10-13 03:17 whf New Issue
2008-10-13 04:56 obones Note Added: 0014844
2008-10-13 04:56 obones Status new => feedback
2008-10-13 21:43 whf Issue Monitored: whf
2008-10-13 21:45 whf Note Added: 0014854
2008-10-15 02:20 obones Note Added: 0014861
2008-10-15 02:51 whf File Added: testintr.rar
2008-10-15 02:51 whf Note Added: 0014862
2008-10-18 03:45 AHUser Status feedback => resolved
2008-10-18 03:45 AHUser Fixed in Version => Daily / SVN
2008-10-18 03:45 AHUser Resolution open => fixed
2008-10-18 03:45 AHUser Assigned To => AHUser
2008-10-18 03:45 AHUser Note Added: 0014880


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker